For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTSetKeyValueItem
        • POSTDelKeyValueItem
        • POSTGetKeyValueItem
        • POSTGetKeyValueItems
        • POSTGetKeyValueKeys
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceKey Value Storage

GetKeyValueItems

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetKeyValueItems
POST
/platform_api/GetKeyValueItems
$curl -X POST "https://api.voximplant.com/platform_api/GetKeyValueItems?key=key&application_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "key": "test",
5 "value": "value1",
6 "expires_at": 1606346632
7 },
8 {
9 "key": "test:1",
10 "value": "value2",
11 "expires_at": 1606846632
12 }
13 ]
14}

Gets all the key-value pairs in which the keys begin with a pattern.

Allowed roles: Owner, Admin, Developer.

Example request: GetKeyValueItems example.

Was this page helpful?
Previous

GetKeyValueItem

Next

GetKeyValueKeys

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

keystringRequired
Namespace that keys should contain, up to 200 characters
countintegerOptional
Number of items to show per page with a maximum value of 50. Default value is 10
offsetintegerOptional

Number of items to skip (e.g. if you set count = 20 and offset = 0 the first time, the next time, offset has to be equal to 20 to skip the items shown earlier). Default value is 0

application_idintegerRequired
The application ID
application_namestringOptional
The application name

Response

Successful response
resultlist of objects

The key-value pairs